<div *ngIf="action === 'detail'" fusePerfectScrollbar>
    <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start start">
        <div fxFlex="100" class="pr-2">
            <mat-tab-group>
                <mat-tab label="Diagnosa">
                    <br>
                    <form *ngIf="diagnosaForm" [formGroup]="diagnosaForm">
                        <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start">
                            <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                                <mat-label>S / Subjektif / Keluhan</mat-label>
                                <textarea rows="2" name="s" formControlName="s" matInput type="text"
                                    max-rows="20" readonly></textarea>
                            </mat-form-field>
                            <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                                <mat-label>O / Objektif / Pemeriksaan Fisik</mat-label>
                                <textarea rows="2" name="o" formControlName="o" matInput type="text"
                                    max-rows="20" readonly></textarea>
                            </mat-form-field>
                        </div>
                        <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start">
                            <mat-form-field appearance="outline" fxFlex="50" class="pr-4">
                                <mat-label>A / Diagnosa Utama</mat-label>
                                <textarea rows="2" name="a" formControlName="a" matInput type="text"
                                    max-rows="20" readonly></textarea>
                            </mat-form-field>

                            <mat-form-field appearance="outline" fxFlex="50" class="pl-4">
                                <mat-label>P / Planing</mat-label>
                                <textarea rows="2" name="p" formControlName="p" matInput type="text"
                                    max-rows="20" readonly></textarea>
                            </mat-form-field>
                        </div>
                        <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start">
                            <mat-form-field appearance="outline" fxFlex="100">
                                <mat-label>Tindakan</mat-label>
                                <input formControlName="Nama_Tindakan" matInput type="text" readonly>
                            </mat-form-field>
                        </div>
                        <div *ngIf="layanan === 'RAWAT JALAN'" fxLayout="row" class="textarea-wrapper"
                            fxLayoutAlign="start start">
                            <mat-form-field appearance="outline" fxFlex="100">
                                <mat-label>Usia Kandungan / Minggu</mat-label>
                                <input formControlName="ukandungan" matInput type="number">
                            </mat-form-field>
                        </div>
                        <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start">
                            <table mat-table [dataSource]="dataSourceDiagnosaT" class="mat-elevation-z8">

                                <ng-container matColumnDef="diagnosa">
                                    <th mat-header-cell *matHeaderCellDef>A+ / Diagnosa Tambahan</th>
                                    <td mat-cell *matCellDef="let element"> {{element.icd}} -
                                        {{element.diagnosa}} </td>
                                </ng-container>

                                <tr mat-header-row *matHeaderRowDef="displayedColumnsDiagnosaT"></tr>
                                <tr mat-row *matRowDef="let row; columns: displayedColumnsDiagnosaT;"></tr>
                            </table>
                        </div>
                    </form>
                    <br>
                </mat-tab>
                <mat-tab label="Status" *ngIf="layanan === 'RAWAT INAP'">
                    <br><br>
                    <form class="example-form" [formGroup]="riStsForm">
                        <section class="example-section">
                            <!-- <mat-form-field fxFlex="50" class="pr-4">
                                <mat-label>Tanggal Keluar</mat-label>
                                <input matInput [matDatepicker]="picker" formControlName="Tgl_Keluar">
                                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                <mat-datepicker #picker></mat-datepicker>
                            </mat-form-field> -->

                            <mat-form-field fxFlex="50" class="pr-4">
                                <mat-label>Tanggal Keluar</mat-label>
                                <input matInput placeholder="Tanggal Keluar" formControlName="Tgl_Keluar">
                            </mat-form-field>

                            <mat-form-field fxFlex="20" class="pl-4">
                                <mat-label>Jam</mat-label>
                                <input matInput placeholder="Jam" formControlName="Jam_Keluar">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Lama Rawat</mat-label>
                                <input matInput placeholder="Lama Rawat" formControlName="LamaR">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Layanan RI Terakhir</mat-label>
                                <input matInput placeholder="Layanan RI Terakhir"
                                    formControlName="LynRITerakhir">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Kamar Rawat Terakhir</mat-label>
                                <input matInput placeholder="Kamar Rawat Terakhir"
                                    formControlName="kmrRawtTerakhir">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Kelas Keluar</mat-label>
                                <input matInput placeholder="Kelas Keluar" formControlName="kelasKeluar">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>No. Tempat Tidur</mat-label>
                                <input matInput placeholder="No. Tempat Tidur" formControlName="Inisial_TT">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Dokter yang Merawat</mat-label>
                                <input matInput placeholder="Dokter yang Merawat"
                                    formControlName="DokterygMerawat">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Prosedur Masuk</mat-label>
                                <input matInput placeholder="Prosedur Masuk" formControlName="PMasuk">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Cara Masuk</mat-label>
                                <input matInput placeholder="Cara Masuk" formControlName="CMasuk">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Keterangan</mat-label>
                                <input matInput placeholder="Keterangan" formControlName="Ket_CMasuk">
                            </mat-form-field>
                        </section>
                        <br><br>

                    </form>
                    <br>
                </mat-tab>
                <mat-tab label="Umum" *ngIf="layanan === 'RAWAT INAP'">
                    <br>
                    <form class="example-form" [formGroup]="riDiagForm">
                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Diagnosa Masuk</mat-label>
                                <input matInput placeholder="Diagnosa Masuk" formControlName="Diagnosa_Masuk">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Diagnosa Utama</mat-label>
                                <input matInput placeholder="Diagnosa Utama" formControlName="Diagnosa_Utama">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>ICD</mat-label>
                                <input matInput placeholder="ICD" formControlName="ICD">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-label>Kompikasi / Tambahan</mat-label>
                        </section>

                        <!-- <table mat-table [dataSource]="dataSourceImunisasi" class="mat-elevation-z8">

                            <ng-container matColumnDef="kode">
                                <th mat-header-cell *matHeaderCellDef> ICD </th>
                                <td mat-cell *matCellDef="let element"> {{element.Kd_Imunisasi}} </td>
                            </ng-container>

                            <ng-container matColumnDef="name">
                                <th mat-header-cell *matHeaderCellDef> Diagnosa Penyebab </th>
                                <td mat-cell *matCellDef="let element"> {{element.Imunisasi}} </td>
                            </ng-container>

                            <ng-container matColumnDef="name">
                                <th mat-header-cell *matHeaderCellDef> Keterangan </th>
                                <td mat-cell *matCellDef="let element"> {{element.Imunisasi}} </td>
                            </ng-container>

                            <tr mat-header-row *matHeaderRowDef="displayedColumnsImunisasi"></tr>
                            <tr mat-row *matRowDef="let element; columns: displayedColumnsImunisasi;"></tr>
                        </table> -->

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>P.L Cedera / Keracunan</mat-label>
                                <input matInput placeholder="P.L Cedera / Keracunan" formControlName="P_CK">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Morfologi Neoplasma</mat-label>
                                <input matInput placeholder="Morfologi Neoplasma" formControlName="P_Morfologi">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>ICD</mat-label>
                                <input matInput placeholder="ICD" formControlName="Kd_ICD_CKM">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="Kd_Bintang">
                                Kode Bintang
                            </mat-checkbox>
                        </section>
                        <br><br>

                        <hr><br>
                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Oprasi / Tindakan</mat-label>
                                <input matInput placeholder="Oprasi / Tindakan" formControlName="Tindakan">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Tindakan</mat-label>
                                <input matInput placeholder="Tindakan" formControlName="Kd_Tindakan">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <!-- <section class="example-section">
                            <mat-form-field fxFlex="50" class="pr-4">
                                <mat-label>Golongan Operasi</mat-label>
                                <mat-select formControlName="pkb">
                                    <mat-option *ngFor="let p of peserta" [value]="p.value">
                                        {{p.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>

                            <mat-form-field fxFlex="20" class="pl-4">
                                <mat-label>Jenis</mat-label>
                                <mat-select formControlName="pkb">
                                    <mat-option *ngFor="let p of peserta" [value]="p.value">
                                        {{p.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <br><br> -->
                        <section class="example-section">
                            <mat-form-field fxFlex="50" class="pr-4">
                                <mat-label>Golongan Operasi</mat-label>
                                <input matInput placeholder="Golongan Operasi" formControlName="Gol_Operasi">
                            </mat-form-field>

                            <mat-form-field fxFlex="20" class="pl-4">
                                <mat-label>Jenis</mat-label>
                                <input matInput placeholder="Jenis" formControlName="Jenis_Operasi">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <!-- <section class="example-section">
                            <mat-form-field fxFlex="50" class="pr-4">
                                <mat-label>Jenis Anestesi</mat-label>
                                <mat-select formControlName="pkb">
                                    <mat-option *ngFor="let p of peserta" [value]="p.value">
                                        {{p.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>

                            <mat-form-field fxFlex="20" class="pl-4">
                                <input matInput placeholder="Jumlah Anak Hidup" formControlName="jmlank">
                            </mat-form-field>
                        </section>
                        <br><br> -->
                        <section class="example-section">
                            <mat-form-field fxFlex="50" class="pr-4">
                                <mat-label>Jenis Anestesi</mat-label>
                                <input matInput placeholder="Jenis Anestesi" formControlName="Jenis_Anaesthesi">
                            </mat-form-field>

                            <mat-form-field fxFlex="20" class="pl-4">
                                <mat-label>Keterangan Anestesi</mat-label>
                                <input matInput placeholder="Keterangan Anestesi"
                                    formControlName="Ket_Anaesthesi">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Tanggal Operasi</mat-label>
                                <input matInput [matDatepicker]="picker" formControlName="Tgl_Operasi">
                                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                <mat-datepicker #picker></mat-datepicker>
                            </mat-form-field>
                        </section>
                        <br><br>

                        <hr><br>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="Ada_IN">
                                Ada Infeksi Nosokomial
                            </mat-checkbox>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Penyebab Infeksi</mat-label>
                                <input matInput placeholder="Jumlah Anak Hidup" formControlName="Kd_P_IN">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <hr><br>
                        <section class="example-section">
                            <mat-label>Ketunaan, Ketidakmampuan dan Kelainan :</mat-label>
                        </section>
                        <br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>ICD</mat-label>
                                <input matInput placeholder="ICD" formControlName="Kd_ICD_Tuna">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <hr><br>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="Ada_T_Darah">
                                Ada Transfusi Darah
                            </mat-checkbox>
                        </section>
                        <br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Jumlah Transfusi</mat-label>
                                <input matInput placeholder="Jumlah Transfusi" formControlName="Kd_T_Darah">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Golongan Darah</mat-label>
                                <input matInput placeholder="Golongan Darah" formControlName="Kd_Gol_Darah">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <hr><br>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="Ada_Radiograpi">
                                Ada Pengobatan Radioterapi / Kedokteran Nuklir
                            </mat-checkbox>
                        </section>
                        <br>
                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Pengobatan</mat-label>
                                <input matInput placeholder="Pengobatan" formControlName="P_Radiograpi">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="70">
                                <mat-label>Jenis Bahan</mat-label>
                                <input matInput placeholder="Jenis Bahan" formControlName="Kd_Radiograpi">
                            </mat-form-field>
                        </section>
                        <br><br>
                    </form>
                    <br>
                </mat-tab>
                <mat-tab label="Imunisasi">
                    <br>
                    <!-- <br><br>
                    <div class="ml-sm-32" fxLayout="row" fxLayoutAlign="center center" fxFlex>
                        <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                            <mat-icon>search</mat-icon>
                            <input [formControl]="searchInput" [matAutocomplete]="auto"
                                placeholder="Cari Imunisasi">
                            <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFnImun"
                                (optionSelected)="onSelectImunisasi($event.option.value)">
                                <mat-option *ngFor="let option of filteredImunisasi" [value]="option">
                                    <small>{{option.Kd_Imunisasi}}</small> |
                                    <span>{{option.Imunisasi}}</span>
                                </mat-option>
                            </mat-autocomplete>
                        </div>
                    </div> -->
                    <div fxLayout="row" fxLayoutAlign="center center" fxFlex
                        *ngIf="layanan === 'RAWAT JALAN' || layanan === 'GAWAT DARURAT'">
                        <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                            <table mat-table [dataSource]="dataSourceImunisasi" class="mat-elevation-z8">

                                <ng-container matColumnDef="kode">
                                    <th mat-header-cell *matHeaderCellDef> Kode </th>
                                    <td mat-cell *matCellDef="let element"> {{element.Kd_Imunisasi}} </td>
                                </ng-container>

                                <ng-container matColumnDef="name">
                                    <th mat-header-cell *matHeaderCellDef> Imunisasi </th>
                                    <td mat-cell *matCellDef="let element"> {{element.Imunisasi}} </td>
                                </ng-container>

                                <!-- <ng-container matColumnDef="aksi">
                                    <th mat-header-cell *matHeaderCellDef> Hapus </th>
                                    <td mat-cell *matCellDef="let element"><button mat-raised-button color="warn"
                                        (click)="onDeleteImn(element.Kd_Imunisasi)" > X </button> </td>
                                </ng-container> -->

                                <tr mat-header-row *matHeaderRowDef="displayedColumnsImunisasi"></tr>
                                <tr mat-row *matRowDef="let element; columns: displayedColumnsImunisasi;"></tr>
                            </table>
                        </div>
                    </div>

                    <div fxLayout="row" *ngIf="layanan === 'RAWAT INAP'">
                        <div fxLayout="row" class="textarea-wrapper" fxLayoutAlign="start start">
                            <form class="example-form pr-4" [formGroup]="diagnosaForm" fxFlex="50">
                                <mat-list>
                                    <mat-list-item>
                                        <mat-label>Imunisasi yang permah di dapat</mat-label>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            1 BCG
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            2 DPT
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            3 POLIO
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            4 DT
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            5 CAMPAK
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            6 HEPATITIS
                                        </mat-checkbox>
                                    </mat-list-item>
                                </mat-list>
                            </form>

                            <form class="example-form pl-4" [formGroup]="diagnosaForm" fxFlex="50">
                                <mat-list>
                                    <mat-list-item>
                                        <mat-label>Imunisasi yang diperoleh selama dirawat
                                        </mat-label>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            1 BCG
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            2 DPT
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            3 POLIO
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            4 DT
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            5 CAMPAK
                                        </mat-checkbox>
                                    </mat-list-item>
                                    <mat-list-item>
                                        <mat-checkbox class="example-margin" formControlName="pasien_baru">
                                            6 HEPATITIS
                                        </mat-checkbox>
                                    </mat-list-item>
                                </mat-list>
                            </form>
                        </div>
                    </div>
                    <br>
                </mat-tab>
                <mat-tab label="Keluarga Berencana / KB" *ngIf="data.diagnosa.kb == 'Y'">
                    <br>
                    <form class="example-form" [formGroup]="kbForm">
                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Nama Suami/Istri</mat-label>
                                <input matInput placeholder="Nama Suami/Istri" formControlName="suami">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Jumlah Anak Hidup</mat-label>
                                <input matInput placeholder="Jumlah Anak Hidup" formControlName="jmlank">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Peserta KB</mat-label>
                                <mat-select formControlName="pkb">
                                    <mat-option *ngFor="let p of peserta" [value]="p.value">
                                        {{p.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Pelayanan</mat-label>
                                <mat-select formControlName="plyn">
                                    <mat-option *ngFor="let p of pelayanan" [value]="p.value">
                                        {{p.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Metoda</mat-label>
                                <mat-select formControlName="metoda">
                                    <mat-option *ngFor="let m of metoda" [value]="m.value">
                                        {{m.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Alat Kontrasepsi</mat-label>
                                <mat-select formControlName="alkontra">
                                    <mat-option *ngFor="let a of alkontra" [value]="a.value">
                                        {{a.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <br><br>

                    </form>
                    <br>
                </mat-tab>
                <mat-tab label="Edukasi">
                    <br>
                    <form class="example-form" [formGroup]="diagnosaForm">
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="cek_dokter">
                                Edukasi Dokter
                            </mat-checkbox>
                        </section>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="cek_perawat">
                                Edukasi Perawat
                            </mat-checkbox>
                        </section>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="cek_fiso">
                                Edukasi Fisioterapi
                            </mat-checkbox>
                        </section>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="cek_gizi">
                                Edukasi Gizi
                            </mat-checkbox>
                        </section>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="cek_apotik">
                                Edukasi Apoteker
                            </mat-checkbox>
                        </section>
                    </form>
                    <br>
                </mat-tab>
                <mat-tab label="Cara Keluar" *ngIf="layanan === 'RAWAT INAP'">
                    <br>
                    <form class="example-form" [formGroup]="riDiagForm">
                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Keadaan Keluar</mat-label>
                                <input matInput placeholder="Keadaan Keluar" formControlName="KeadaanKeluar">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Cara Keluar</mat-label>
                                <input matInput placeholder="Cara Keluar" formControlName="CaraKeluar">
                            </mat-form-field>
                        </section>
                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Keterangan</mat-label>
                                <mat-select formControlName="KeteranganKeluar">
                                    <mat-option *ngFor="let m of metoda" [value]="m.value">
                                        {{m.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Penyebab Kematian</mat-label>
                                <mat-select formControlName="PenyebabKematian">
                                    <mat-option *ngFor="let m of metoda" [value]="m.value">
                                        {{m.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Penyebab Luar</mat-label>
                                <mat-select formControlName="PenyebabLuar">
                                    <mat-option *ngFor="let m of metoda" [value]="m.value">
                                        {{m.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section>
                        <br><br>

                    </form>
                    <br>
                </mat-tab>
                <mat-tab label="Dokter Konsulen" *ngIf="layanan === 'RAWAT INAP'">
                    <br>
                    <form class="example-form" [formGroup]="riDiagForm">
                        <!-- <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Dokter Konsulen 1</mat-label>
                                <mat-select formControlName="">
                                    <mat-option *ngFor="let m of metoda" [value]="m.value">
                                        {{m.viewValue}}
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </section> -->

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Dokter Konsulen 1</mat-label>
                                <input matInput placeholder="Dokter Konsulen 1" formControlName="Kd_DokK1">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Dokter Konsulen 2</mat-label>
                                <input matInput placeholder="Dokter Konsulen 2" formControlName="Kd_DokK2">
                            </mat-form-field>
                        </section>
                        <br><br>

                        <section class="example-section">
                            <mat-form-field fxFlex="95">
                                <mat-label>Dokter Konsulen 3</mat-label>
                                <input matInput placeholder="Dokter Konsulen 3" formControlName="Kd_DokK3">
                            </mat-form-field>
                        </section>
                        <br><br>
                    </form>
                    <br>
                </mat-tab>
                <mat-tab label="KLPCM" *ngIf="layanan === 'RAWAT INAP'">
                    <br>
                    <form class="example-form" [formGroup]="riDiagForm">
                        <section class="example-section">
                            <mat-label>RM 01/Ringkasan Keluar Masuk</mat-label>
                        </section><br>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="CklsRM1Diagnosa">
                                Diagnosa
                            </mat-checkbox>
                        </section>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="CklsRM1TTDDokter">
                                TTD Dokter
                            </mat-checkbox>
                        </section>
                        <hr><br>

                        <section class="example-section">
                            <mat-label>RM 08/Informed Concernt</mat-label>
                        </section><br>

                        <table>
                            <tr>
                                <td>
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin"
                                            formControlName="CklsRM8NamaPasien">
                                            Nama Pasien
                                        </mat-checkbox>
                                    </section>
                                </td>
                                <td>
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin"
                                            formControlName="CklsRM8TTDPPernyataan">
                                            TTD Pembuat Pernyataan
                                        </mat-checkbox>
                                    </section>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin" formControlName="CklsRM8NoRM">
                                            No. RM
                                        </mat-checkbox>
                                    </section>
                                </td>
                                <td>
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin"
                                            formControlName="CklsRM8TTDygmenjelaskan">
                                            TTD yang Menjelaskan
                                        </mat-checkbox>
                                    </section>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin" formControlName="CklsRM8JK">
                                            Jenis Kelamin
                                        </mat-checkbox>
                                    </section>
                                </td>
                                <td>
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin" formControlName="CklsRM8TTDSaksi">
                                            TTD Saksi
                                        </mat-checkbox>
                                    </section>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin" formControlName="CklsRM8Umur">
                                            Umur
                                        </mat-checkbox>
                                    </section>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin" formControlName="CklsRM8PJawab">
                                            Penangung Jawab
                                        </mat-checkbox>
                                    </section>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin" formControlName="CklsRM8Alamat">
                                            Alamat
                                        </mat-checkbox>
                                    </section>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <section class="example-section">
                                        <mat-checkbox class="example-margin"
                                            formControlName="CklsRM8JenisTindakan">
                                            Jenis Tindakan
                                        </mat-checkbox>
                                    </section>
                                </td>
                            </tr>
                        </table>

                        <hr><br>
                        <section class="example-section">
                            <mat-label>RM 14/Resume</mat-label>
                        </section><br>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="CklsRM14Diagnosa">
                                Diagnosa
                            </mat-checkbox>
                        </section>
                        <section class="example-section">
                            <mat-checkbox class="example-margin" formControlName="CklsRM14TTDDokter">
                                TTD Dokter
                            </mat-checkbox>
                        </section>

                        <hr><br>
                        <section class="example-section">
                            <mat-label>Status Kembali</mat-label>
                        </section><br>
                        <section class="example-section">
                            <mat-form-field fxFlex="50">
                                <mat-label>Tanggal</mat-label>
                                <input matInput [matDatepicker]="picker" formControlName="TglStsKembali">
                                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                                <mat-datepicker #picker></mat-datepicker>
                            </mat-form-field>
                        </section>
                    </form>
                    <br>
                </mat-tab>
            </mat-tab-group>
        </div>
        <div fxFlex="30" class="pl-2" *ngIf="layanan === 'RAWAT JALAN' || layanan === 'GAWAT DARURAT'">
            <h2 class="example-h2">Verifikasi</h2>
            <hr>
            <form class="example-form" [formGroup]="diagnosaForm">
                <section class="example-section">
                    <mat-checkbox class="example-margin" formControlName="pasien_baru">
                        Pasien Baru
                    </mat-checkbox>
                </section>
                <section class="example-section">
                    <mat-checkbox class="example-margin" formControlName="kunj_baru">
                        Kunjungan Baru
                    </mat-checkbox>
                </section>
                <section class="example-section">
                    <mat-checkbox class="example-margin" formControlName="kb">
                        KB
                    </mat-checkbox>
                </section>
                <!-- rj================================= -->
                <section *ngIf="layanan === 'RAWAT JALAN'" class="example-section">
                    <mat-checkbox class="example-margin" formControlName="cek_diag">
                        Diagnosa
                    </mat-checkbox>
                </section>
                <section *ngIf="layanan === 'RAWAT JALAN'" class="example-section">
                    <mat-checkbox class="example-margin" formControlName="cek_catatan">
                        Catatan
                    </mat-checkbox>
                </section>
                <section *ngIf="layanan === 'RAWAT JALAN'" class="example-section">
                    <mat-checkbox class="example-margin" formControlName="cek_ttd_dokter">
                        TTD Dokter
                    </mat-checkbox>
                </section>
                <!-- rj================================= -->
                <!-- rd================================= -->
                <br>
                <section *ngIf="layanan === 'GAWAT DARURAT'" class="example-section">
                    <mat-form-field fxFlex="95">
                        <mat-label>Pelayanan</mat-label>
                        <mat-select formControlName="pelayanan">
                            <mat-option *ngFor="let p of pelayananRD" [value]="p.value">
                                {{p.viewValue}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </section>
                <br><br>
                <section *ngIf="layanan === 'GAWAT DARURAT'" class="example-section">
                    <mat-form-field fxFlex="95">
                        <mat-label>Kasus</mat-label>
                        <mat-select formControlName="kasus">
                            <mat-option *ngFor="let p of kasus" [value]="p.value">
                                {{p.viewValue}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </section>
                <br><br>
                <section *ngIf="layanan === 'GAWAT DARURAT'" class="example-section">
                    <mat-form-field fxFlex="95">
                        <mat-label>Cara Masuk</mat-label>
                        <mat-select formControlName="c_masuk">
                            <mat-option *ngFor="let p of caraMasuk" [value]="p.value">
                                {{p.viewValue}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </section>
                <br><br>
                <section *ngIf="layanan === 'GAWAT DARURAT'" class="example-section">
                    <mat-form-field fxFlex="95">
                        <mat-label>Tindak Lanjut</mat-label>
                        <mat-select formControlName="t_lanjut">
                            <mat-option *ngFor="let p of tindakLanjut" [value]="p.value">
                                {{p.viewValue}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </section>
                <br><br>
                <!-- rd================================= -->
            </form>
        </div>
    </div>
</div>